Bug 447327

Summary: gdm has no option to serve xdmcp only
Product: [Fedora] Fedora Reporter: Michael Young <m.a.young>
Component: gdmAssignee: jmccann
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 12CC: cschalle, kas, mathias.debelder, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-05 11:13:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michael Young 2008-05-19 11:06:48 EDT
Currently gdm has no option to just serve remote xdmcp connections, which means
you can't run it on a server without a local display configured, since the lack
of a display causes gdm to exit without trying to start xdmcp. Thus you can only
run gdm locally, or locally and remotely, there is no option only to have it
listening to remote connections.
Comment 1 Miroslav Pragl 2008-06-26 09:05:15 EDT
please see  https://bugzilla.redhat.com/show_bug.cgi?id=446224

Miroslav
Comment 2 Bug Zapper 2009-06-09 21:00:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Michael Young 2009-06-10 06:16:12 EDT
This is still an issue in Fedora 11.
Comment 4 Jan "Yenya" Kasprzak 2009-11-18 06:53:11 EST
This bug still exists in Fedora 12.

Because of this, GDM is unusable in a headless server configuration: I have a HP server with iLO remote management, and I want to be able to log in to the text console remotely using ssh to the iLO address, while still being able to serve XDMCP clients.
Comment 5 Ray Strode [halfline] 2009-11-18 11:06:06 EST
This should be fixed in gnome 2.30 (Fedora 13)
Comment 6 Bug Zapper 2010-04-27 08:04:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-11-04 07:54:46 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Michael Young 2010-11-05 11:13:12 EDT
I have checked this in Fedora 14, and it is at least partially fixed, because you can now run xdmcp gdm on a system without a graphics card. There still doesn't seem to be an option to stop it trying to start a display on a graphics card if one does exist.
Comment 9 Jan "Yenya" Kasprzak 2010-11-08 03:06:07 EST
How many servers have you seen recently without a graphics card? As for me - exactly one (SGI Altix). Yet I need to run a display manager on many head-less
(= monitor-less, not graphics card-less) servers.

So I don't think this bug is fixed.